/****************************************************************************************/
/*  This SAS program creates a permanent SAS format library that is used to analyze to  */
/*  analyze the 2013 YRBS dataset.                                                      */
/*                                                                                      */
/*  Change the file location specification from 'c:\YRBS2013' to the location where you */
/*  want the format library to be stored before you run this program.  Change the       */
/*  location specification in the 'library' statement at the top of the program.        */
/*                                                                                      */
/*  Note: Run '2013VAM Formats Program.sas' BEFORE you run                             */
/*  '2013VAM SAS Input Program.sas' to create the 2013 YRBS dataset.                   */
/****************************************************************************************/
libname library 'K:\FHS\Policy & Assessment\Surveys and Analyses\YRBS\2013 YRBS\2013 YRBS Data\StateMiddleSchool\Data\2013';
proc format library=library;
value $M1S
" "="Missing"
"1"="10 years old or younger"
"2"="11 years old"
"3"="12 years old"
"4"="13 years old"
"5"="14 years old"
"6"="15 years old"
"7"="16 years old or older"
other="** Data Error **";
value $M2S
" "="Missing"
"1"="Female"
"2"="Male"
other="** Data Error **";
value $M3S
" "="Missing"
"1"="6th grade"
"2"="7th grade"
"3"="8th grade"
"4"="Ungraded or other grade"
other="** Data Error **";
value $M4S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $MRCE
" "="Missing"
"1"="Am Indian / Alaska Native"
"2"="Asian"
"3"="Black or African American"
"4"="Native Hawaiian/other PI"
"5"="White"
"6"="Hispanic/Latino"
"7"="Multiple - Hispanic"
"8"="Multiple - Non-Hispanic"
other="** Data Error **";
value $M6S
" "="Missing"
"1"="Do not ride a bicycle"
"2"="Never wear a helmet"
"3"="Rarely wear a helmet"
"4"="Sometimes wear a helmet"
"5"="Most of the time wear a helmet"
"6"="Always wear a helmet"
other="** Data Error **";
value $M7S
" "="Missing"
"1"="Do not rollerblade/skateboard"
"2"="Never wear a helmet"
"3"="Rarely wear a helmet"
"4"="Sometimes wear a helmet"
"5"="Most of the time wear a helmet"
"6"="Always wear a helmet"
other="** Data Error **";
value $M8S
" "="Missing"
"1"="Never"
"2"="Rarely"
"3"="Sometimes"
"4"="Most of the time"
"5"="Always"
other="** Data Error **";
value $M9S
" "="Missing"
"1"="Yes"
"2"="No"
"3"="Not sure"
other="** Data Error **";
value $M10S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M11S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M12S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M13S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M14S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M15S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M16S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M17S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M18S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M19S
" "="Missing"
"1"="Never smoked a cigarette"
"2"="8 years old or younger"
"3"="9 years old"
"4"="10 years old"
"5"="11 years old"
"6"="12 years old"
"7"="13 years old or older"
other="** Data Error **";
value $M20S
" "="Missing"
"1"="0 days"
"2"="1 or 2 days"
"3"="3 to 5 days"
"4"="6 to 9 days"
"5"="10 to 19 days"
"6"="20 to 29 days"
"7"="All 30 days"
other="** Data Error **";
value $M21S
" "="Missing"
"1"="Did not smoke cigarettes"
"2"="Less than 1 cigarette"
"3"="1 cigarette"
"4"="2 to 5 cigarettes"
"5"="6 to 10 cigarettes"
"6"="11 to 20 cigarettes"
"7"="More than 20 cigarettes"
other="** Data Error **";
value $M22S
" "="Missing"
"1"="Did not smoke cigarettes"
"2"="Store or gas station"
"3"="Vending machine"
"4"="Someone else bought them"
"5"="Borrowed/bummed them"
"6"="A person 18 or older gave me"
"7"="Took them from store/family"
"8"="Some other way"
other="** Data Error **";
value $M23S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M24S
" "="Missing"
"1"="0 days"
"2"="1 or 2 days"
"3"="3 to 5 days"
"4"="6 to 9 days"
"5"="10 to 19 days"
"6"="20 to 29 days"
"7"="All 30 days"
other="** Data Error **";
value $M25S
" "="Missing"
"1"="0 days"
"2"="1 or 2 days"
"3"="3 to 5 days"
"4"="6 to 9 days"
"5"="10 to 19 days"
"6"="20 to 29 days"
"7"="All 30 days"
other="** Data Error **";
value $M26S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M27S
" "="Missing"
"1"="Never drank alcohol"
"2"="8 years old or younger"
"3"="9 years old"
"4"="10 years old"
"5"="11 years old"
"6"="12 years old"
"7"="13 years old or older"
other="** Data Error **";
value $M28S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M29S
" "="Missing"
"1"="Never tried marijuana"
"2"="8 years old or younger"
"3"="9 years old"
"4"="10 years old"
"5"="11 years old"
"6"="12 years old"
"7"="13 years old or older"
other="** Data Error **";
value $M30S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M31S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M32S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M33S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M34S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M35S
" "="Missing"
"1"="Never had sex"
"2"="8 years old or younger"
"3"="9 years old"
"4"="10 years old"
"5"="11 years old"
"6"="12 years old"
"7"="13 years old or older"
other="** Data Error **";
value $M36S
" "="Missing"
"1"="Never had sex"
"2"="1 person"
"3"="2 people"
"4"="3 people"
"5"="4 people"
"6"="5 people"
"7"="6 or more people"
other="** Data Error **";
value $M37S
" "="Missing"
"1"="Never had sex"
"2"="Yes"
"3"="No"
other="** Data Error **";
value $M38S
" "="Missing"
"1"="Very underweight"
"2"="Slightly underweight"
"3"="About the right weight"
"4"="Slightly overweight"
"5"="Very overweight"
other="** Data Error **";
value $M39S
" "="Missing"
"1"="Lose weight"
"2"="Gain weight"
"3"="Stay the same weight"
"4"="Not trying to do anything"
other="** Data Error **";
value $M40S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M41S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M42S
" "="Missing"
"1"="Yes"
"2"="No"
other="** Data Error **";
value $M43S
" "="Missing"
"1"="0 days"
"2"="1 day"
"3"="2 days"
"4"="3 days"
"5"="4 days"
"6"="5 days"
"7"="6 days"
"8"="7 days"
other="** Data Error **";
value $M44S
" "="Missing"
"1"="0 days"
"2"="1 day"
"3"="2 days"
"4"="3 days"
"5"="4 days"
"6"="5 days"
"7"="6 days"
"8"="7 days"
other="** Data Error **";
value $M45S
" "="Missing"
"1"="No TV on average school day"
"2"="Less than 1 hour per day"
"3"="1 hour per day"
"4"="2 hours per day"
"5"="3 hours per day"
"6"="4 hours per day"
"7"="5 or more hours per day"
other="** Data Error **";
value $M46S
" "="Missing"
"1"="No playing video/computer game"
"2"="Less than 1 hour per day"
"3"="1 hour per day"
"4"="2 hours per day"
"5"="3 hours per day"
"6"="4 hours per day"
"7"="5 or more hours per day"
other="** Data Error **";
value $M47S
" "="Missing"
"1"="0 days"
"2"="1 day"
"3"="2 days"
"4"="3 days"
"5"="4 days"
"6"="5 days"
other="** Data Error **";
value $M48S
" "="Missing"
"1"="0 teams"
"2"="1 team"
"3"="2 teams"
"4"="3 or more teams"
other="** Data Error **";
value $M49S
" "="Missing"
"1"="Yes"
"2"="No"
"3"="Not sure"
other="** Data Error **";
value $M50S
" "="Missing"
"1"="Yes"
"2"="No"
"3"="Not sure"
other="** Data Error **";
value $M51VA
" "="Missing"
"1"="Did not smoke cigarettes"
"2"="I do not smoke a usual brand"
"3"="Camel"
"4"="GPC, Basic, or Doral"
"5"="Marlboro"
"6"="Newport"
"7"="Parliament"
"8"="Some other brand"
other="** Data Error **";
value $M52VA
" "="Missing"
"1"="I did not smoke cigar product"
"2"="I do not have a usual type"
"3"="Cigars or small cigars"
"4"="Blunts (only with tobacco)"
"5"="Some other type"
other="** Data Error **";
value $M53VA
" "="Missing"
"1"="I have not tried"
"2"="Roll-your-own cigarettes"
"3"="Clove cigars"
"4"="Flavored little cigars/cigarettes"
"5"="Smoking from hookah/waterpipe"
"6"="Snus"
"7"="Dissolvable tobacco products"
"8"="E-cigarettes"
other="** Data Error **";
value $M54VA
" "="Missing"
"1"="I did not use"
"2"="Roll-your-own cigarettes"
"3"="Clove cigars"
"4"="Flavored little cigars/cigarettes"
"5"="Smoking from hookah/waterpipe"
"6"="Snus"
"7"="Dissolvable tobacco products"
"8"="E-cigarettes"
other="** Data Error **";
value $M55VA
" "="Missing"
"1"="Never"
"2"="Rarely"
"3"="Sometimes"
"4"="Most of the time"
"5"="Always"
other="** Data Error **";
value $M56VA
" "="Missing"
"1"="Never allowed"
"2"="Allowed some times/some places"
"3"="Always allowed"
other="** Data Error **";
value $M57VA
" "="Missing"
"1"="Never allowed"
"2"="Sometimes allowed"
"3"="Always allowed"
other="** Data Error **";
value $M58VA
" "="Missing"
"1"="Did not drink fruit juice"
"2"="1 to 3 times"
"3"="4 to 6 times"
"4"="1 time per day"
"5"="2 times per day"
"6"="3 times per day"
"7"="4 or more times per day"
other="** Data Error **";
value $M59VA
" "="Missing"
"1"="Did not eat fruit"
"2"="1 to 3 times"
"3"="4 to 6 times"
"4"="1 time per day"
"5"="2 times per day"
"6"="3 times per day"
"7"="4 or more times per day"
other="** Data Error **";
value $M60VA
" "="Missing"
"1"="Did not eat green salad"
"2"="1 to 3 times"
"3"="4 to 6 times"
"4"="1 time per day"
"5"="2 times per day"
"6"="3 times per day"
"7"="4 or more times per day"
other="** Data Error **";
value $M61VA
" "="Missing"
"1"="Did not eat potatoes"
"2"="1 to 3 times"
"3"="4 to 6 times"
"4"="1 time per day"
"5"="2 times per day"
"6"="3 times per day"
"7"="4 or more times per day"
other="** Data Error **";
value $M62VA
" "="Missing"
"1"="Did not eat carrots"
"2"="1 to 3 times"
"3"="4 to 6 times"
"4"="1 time per day"
"5"="2 times per day"
"6"="3 times per day"
"7"="4 or more times per day"
other="** Data Error **";
value $M63VA
" "="Missing"
"1"="Did not eat other vegetables"
"2"="1 to 3 times"
"3"="4 to 6 times"
"4"="1 time per day"
"5"="2 times per day"
"6"="3 times per day"
"7"="4 or more times per day"
other="** Data Error **";
value $M64VA
" "="Missing"
"1"="Did not drink soda or pop"
"2"="1 to 3 times"
"3"="4 to 6 times"
"4"="1 time per day"
"5"="2 times per day"
"6"="3 times per day"
"7"="4 or more times per day"
other="** Data Error **";
value $M65VA
" "="Missing"
"1"="I did not drink"
"2"="1 to 3 times"
"3"="4 to 6 times"
"4"="1 time per day"
"5"="2 times per day"
"6"="3 times per day"
"7"="4 or more times per day"
other="** Data Error **";
value $M66VA
" "="Missing"
"1"="I did not drink"
"2"="1 to 3 times"
"3"="4 to 6 times"
"4"="1 time per day"
"5"="2 times per day"
"6"="3 times per day"
"7"="4 or more times per day"
other="** Data Error **";
value $M67VA
" "="Missing"
"1"="I did not drink"
"2"="1 to 3 times"
"3"="4 to 6 times"
"4"="1 time per day"
"5"="2 times per day"
"6"="3 times per day"
"7"="4 or more times per day"
other="** Data Error **";
value $M68VA
" "="Missing"
"1"="Did not drink water in past 7 days"
"2"="1 to 3 times"
"3"="4 to 6 times"
"4"="1 time per day"
"5"="2 times per day"
"6"="3 times per day"
"7"="4 or more times per day"
other="** Data Error **";
value $M69VA
" "="Missing"
"1"="Did not drink milk"
"2"="1 to 3 glasses"
"3"="4 to 6 glasses"
"4"="1 glass per day"
"5"="2 glasses per day"
"6"="3 glasses per day"
"7"="4 or more glasses per day"
other="** Data Error **";
value $M70VA
" "="Missing"
"1"="Definitely yes"
"2"="Probably yes"
"3"="Probably not"
"4"="Definitely not"
other="** Data Error **";
value $M71VA
" "="Missing"
"1"="Very Dangerous"
"2"="Somewhat Dangerous"
"3"="Not at All Dangerous"
other="** Data Error **";
value $M72VA
" "="Missing"
"1"="Very Dangerous"
"2"="Somewhat Dangerous"
"3"="Not at All Dangerous"
other="** Data Error **";
value $M73VA
" "="Missing"
"1"="Very Dangerous"
"2"="Somewhat Dangerous"
"3"="Not at All Dangerous"
other="** Data Error **";
run;
